import request from '@/config/axios'

// 平台利润 VO
export interface PtProfitVO {
  // 用户编号
  id: number
  // 平台服务费(毛利下的百分比收益)
  ptAdd: number
  // 平台收益(0.3888 之外的收益)
  ptGrossAdd: number
  // 平台总收益
  ptTotalAdd: number
}

// 平台利润 API
export const PtProfitApi = {
  // 查询平台利润分页
  getPtProfitPage: async (params: any) => {
    return await request.get({ url: `/distri/pt-profit/page`, params })
  },

  // 查询平台利润详情
  getPtProfit: async (id: number) => {
    return await request.get({ url: `/distri/pt-profit/get?id=` + id })
  },

  // 新增平台利润
  createPtProfit: async (data: PtProfitVO) => {
    return await request.post({ url: `/distri/pt-profit/create`, data })
  },

  // 修改平台利润
  updatePtProfit: async (data: PtProfitVO) => {
    return await request.put({ url: `/distri/pt-profit/update`, data })
  },

  // 删除平台利润
  deletePtProfit: async (id: number) => {
    return await request.delete({ url: `/distri/pt-profit/delete?id=` + id })
  },

  // 导出平台利润 Excel
  exportPtProfit: async (params) => {
    return await request.download({ url: `/distri/pt-profit/export-excel`, params })
  }
}